nw-gyp

安裝node.js的套件給NW.js使用時, 若包含C/C++寫的程式, 就要rebuild才能用,

依官方文件的說法, 是因為nw.js跟node.js的ABI不同。

rebuild 是用 nw-gyp指令, 到你裝好node.js套件的地方去, 會有個binding.gyp,

nw-gyp需要靠這個檔案來進行重新編譯。

因為目前版本的nw-gyp不會自動偵測nw.js的版本, 所以指令要包含–target來指定版本號, 像這樣:

 

 

Leave a Reply

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *